<?php
/*
	START SESSION
*/
	session_cache_expire(30);
	session_start();
	

/*
	ERROR REPORTING CONTROL
*/	
	# turn off error reporting if on live server
	//if ($_SERVER['HTTP_HOST'] == 'www.mcgrawhill.ca') error_reporting(0);


/*
	HTTP HOST	
*/
	define("HTTP_HOST", "http://" . $_SERVER['HTTP_HOST'] . "/outofprint_v2/");


/*
	DOCU HOST	
*/
	define("DOCU_HOST", $_SERVER['DOCUMENT_ROOT'] . "/outofprint_v2/");

	
/*
	DEFINE OCI
*/
	define("OCI_FNX", $_SERVER['DOCUMENT_ROOT'] . "/web_includes/db.functions.php");


/*
	DEFINE PHP MAILER PATH
*/
	define("MAILER", $_SERVER['DOCUMENT_ROOT'] . "/web_includes/mhr_php_mailer/class.mhr.phpmailer.php");


/*
	CONFIG ARRAY
*/

	$_oopConfig = array();
	
	# error messages
	$_oopConfig['msg001'] = '<br><strong>There is no data to display at this time.  This is likely due to zero titles out of print or going out of print on your account.</strong><br><hr>';
	$_oopConfig['msg002'] = '<br><strong>Sorry, there are no Out of Print or Going Out of Print titles for your account.</strong> Please try again later.<br><hr>';
	$_oopConfig['msg003'] = '<br><strong>Sorry, there is no data do display for this divison.</strong><br><hr>';
	$_oopConfig['msg004'] = '<br><strong>Sorry, there is no data do display for this file type.</strong><br><hr>';
	$_oopConfig['msg005'] = '<strong>There seems to be a problem with the email address you are trying to unsubscribe.  Please contact the <a href="mailto:mhrprivacy@mcgrawhill.ca">privacy official</a> directly.</strong>';
	$_oopConfig['msg006'] = '<strong>Your email address has been removed from the Out of Print Notification Email Database.</strong> You will no longer be notified of future updates to the Out of Print List.<br />To remove your email address from any other McGraw-Hill Ryerson email communication please follow the directions below.';
	$_oopConfig['msg007'] = 'No email accounts to add! <a href="?">Go back</a>';
	$_oopConfig['msg008'] = 'Please add at least one account! <a href="?">Go back</a>';
	$_oopConfig['msg009'] = 'Please check your URL.';

/*
	INCLUDE THE FUNCTIONS FILE
*/

	include(DOCU_HOST . "/config/functions.php");
	include($_SERVER['DOCUMENT_ROOT'] . "/web_includes/convertDivisonName.fnx.php");
	include($_SERVER['DOCUMENT_ROOT'] . "/web_includes/convertMonth.fnx.php");
	include($_SERVER['DOCUMENT_ROOT'] . "/web_includes/validateEmail.fnx.php");
	include($_SERVER['DOCUMENT_ROOT'] . "/web_includes/sendErrorMail.fnx.php");
	

	$_CONFIG['tbl_oop_request_form'] 				= 'prod_mhr_2015_fm_data_16';
	$_CONFIG['DB']['mhr_can1_prod'] = array(
											 "username" 	=> "mhr_can1_prod",
											 "password" 	=> "rfg1234",
											 "server" 		=> "ew5ingl0360-dn.emhe.mhc",
											 "database" 	=> "mhr_can1_prod"
											 );	
	
	$_CONFIG['DB']['mhr_can1_qa'] = array(
											 "username" 	=> "mhr_can1_qa",
											 "password" 	=> "sob493",
											 "server" 		=> "ew5ingl0362-dn.emhe.mhc",
											 "database" 	=> "mhr_can1_qa"
											 );	


/*
	SHOPPING CART INTEGRATION
*/
	//include($_SERVER['DOCUMENT_ROOT'] . '/cart/includes/common/logger.php');	
	//include($_SERVER['DOCUMENT_ROOT'] . '/cart/createfile.php');
	//$_SESSION["additem"] = true;
	
	

?>
